DevExtreme v25.2 is now available.

Explore our newest features/capabilities and share your thoughts with us.

Your search did not match any results.

JavaScript/jQuery Load Panel

The JavaScript LoadPanel is an overlay component used to notify users that a process is in progress. In this demo, you can see how to initialize and configure the component.

DevExtreme Accessibility Compliance
DevExtreme component libraries meet a variety of WCAG and Section 508 compliance standards. To assess this demo's accessibility level, click the Run AXE® Validation button to launch the AXE® web accessibility evaluation tool.
All trademarks or registered trademarks are property of their respective owners. AXE® Terms of Use
The overall accessibility level of your application depends on the LoadPanel features used.
Backend API
$(() => { const showLoadPanel = function () { loadPanel.show(); showEmployeeInfo({}); }; const showEmployeeInfo = function (employee) { $('.birth-date').text(employee.Birth_Date || ''); $('.city').text(employee.City || ''); $('.zipcode').text(employee.Zipcode || ''); $('.address-info').text(employee.Address || ''); $('.mobile-phone').text(employee.Mobile_Phone || ''); $('.email').text(employee.Email || ''); }; $('.show-panel').dxButton({ text: 'Load Data', onClick: showLoadPanel, }); const loadPanel = $('.loadpanel').dxLoadPanel({ shadingColor: 'rgba(0,0,0,0.4)', position: { of: '#employee' }, visible: false, showIndicator: true, showPane: true, shading: true, hideOnOutsideClick: false, onShown() { setTimeout(() => { loadPanel.hide(); }, 3000); }, onHidden() { showEmployeeInfo(employee); }, }).dxLoadPanel('instance'); $('.with-indicator').dxCheckBox({ value: true, text: 'With indicator', onValueChanged(e) { loadPanel.option('showIndicator', e.value); }, }); $('.with-overlay').dxCheckBox({ value: true, text: 'With overlay', onValueChanged(e) { loadPanel.option('shading', e.value); }, }); $('.with-pane').dxCheckBox({ value: true, text: 'With pane', onValueChanged(e) { loadPanel.option('showPane', e.value); }, }); $('.outside-click').dxCheckBox({ value: false, text: 'Hide on outside click', onValueChanged(e) { loadPanel.option('hideOnOutsideClick', e.value); }, }); });
<!DOCTYPE html> <html xmlns="http://www.w3.org/1999/xhtml" lang="en"> <head> <title>DevExtreme Demo</title> <meta http-equiv="X-UA-Compatible" content="IE=edge" /> <meta http-equiv="Content-Type" content="text/html; charset=utf-8" /> <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" /> <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script> <script>window.jQuery || document.write(decodeURIComponent('%3Cscript src="js/jquery.min.js"%3E%3C/script%3E'))</script> <link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/25.2.3/css/dx.light.css" /> <script src="js/dx.all.js?v=25.2.3"></script> <script src="data.js"></script> <link rel="stylesheet" type="text/css" href="styles.css" /> <script src="index.js"></script> </head> <body class="dx-viewport"> <div class="demo-container"> <div id="container"> <div class="header">John Heart</div> <div class="show-panel"></div> <div id="employee"> <p> Birth date: <b class="birth-date"></b> </p> <p class="address"> Address:<br /> <b class="city"></b><br /> <span class="zipcode"></span> <span class="address-info"></span> </p> <p> Phone: <b class="mobile-phone"></b><br /> Email: <b class="email"></b> </p> </div> <div class="loadpanel"></div> <div class="options"> <div class="caption">Options</div> <div class="option"> <div class="with-indicator"></div> </div> <div class="option"> <div class="with-overlay"></div> </div> <div class="option"> <div class="with-pane"></div> </div> <div class="option"> <div class="outside-click"></div> </div> </div> </div> </div> </body> </html>
.header { font-size: 34px; display: inline-block; vertical-align: middle; padding: 10px; margin: 0; } #employee { margin: 20px 0; -webkit-touch-callout: none; user-select: none; border-top: 1px solid lightgray; border-bottom: 1px solid lightgray; } #employee > p { padding: 10px 20px; margin: 0; } .address { height: 60px; } .options { padding: 20px; background-color: rgba(191, 191, 191, 0.15); margin-top: 20px; } .caption { font-size: 18px; font-weight: 500; } .option { margin-top: 10px; }
const employee = { Full_Name: 'John Heart', Title: 'CEO', Birth_Date: '03/16/1964', Prefix: 'Mr.', Address: '351 S Hill St.', City: 'Los Angeles', Zipcode: 90013, Email: 'jheart@dx-email.com', Skype: 'jheart_DX_skype', Home_Phone: '(213) 555-9208', Mobile_Phone: '(213) 555-9392', };

Show and Hide the Indicator and Pane

JavaScript LoadPanel elements (a message and an animated load indicator) are displayed on a pane. If you want to hide it, set the showPane property to false. You can also disable the showIndicator property to hide the animated load indicator. In this case, the JavaScript LoadPanel displays only the message. In this demo, you can use the "With indicator" and "With pane" checkboxes to change the visibility of the load indicator and pane.

Configure the Background Shade

When JavaScript LoadPanel is displayed, it shades the background. Use the shadingColor property to specify the color of the shade. You can also specify the element that should be shaded. For this, assign the element's CSS selector to the container property. If you do not want to shade the background, disable the shading property. In this demo, you can uncheck the "With overlay" checkbox to do it.

Show and Hide JavaScript LoadPanel

To change the JavaScript LoadPanel visibility in code, use the visible property. Alternatively, you can call the show() and hide() or toggle(showing) methods.

Users can hide JavaScript LoadPanel when they click outside it if you enable the hideOnOutsideClick property. Use the "Hide on outside click" checkbox to control this functionality in this demo.

JavaScript LoadPanel also allows you to handle the show and hide events. Use the onShowing and onHiding functions to handle the events before they occur and possibily cancel them. Use the onShown and onHidden functions to perform required actions after the events are raised.

import React from 'react';
import { Button } from 'devextreme-react/button';
import { CheckBox } from 'devextreme-react/check-box';
import { LoadPanel } from 'devextreme-react/load-panel';
import { employee } from './data.js';
const position = { of: '#employee' };
class App extends React.Component {
constructor(props) {
super(props);
this.state = {
employeeInfo: {},
loadPanelVisible: false,
showIndicator: true,
shading: true,
showPane: true,
closeOnOutsideClick: false
};
this.onClick = this.onClick.bind(this);
this.hideLoadPanel = this.hideLoadPanel.bind(this);
this.onShowIndicatorChange = this.onShowIndicatorChange.bind(this);
this.onShadingChange = this.onShadingChange.bind(this);
this.onShowPaneChange = this.onShowPaneChange.bind(this);
this.onCloseOnOutsideClickChange = this.onCloseOnOutsideClickChange.bind(this);
}
render() {
return (
<React.Fragment>
<h1>John Heart</h1>
<Button text="Load Data" onClick={this.onClick}></Button>
<div id="employee">
<p>
Birth date: <b>{this.state.employeeInfo.Birth_Date}</b>
</p>
<p className="address">
Address:<br />
<b>{this.state.employeeInfo.City}</b><br />
<span>{this.state.employeeInfo.Zipcode}</span> <span>{this.state.employeeInfo.Address}</span>
</p>
<p>
Phone: <b>{this.state.employeeInfo.Mobile_Phone}</b><br />
Email: <b>{this.state.employeeInfo.Email}</b>
</p>
</div>
<LoadPanel
shadingColor="rgba(0,0,0,0.4)"
position={position}
onHiding={this.hideLoadPanel}
visible={this.state.loadPanelVisible}
showIndicator={this.state.showIndicator}
shading={this.state.shading}
showPane={this.state.showPane}
closeOnOutsideClick={this.state.closeOnOutsideClick}
/>
<div className="options">
<div className="caption">Options</div>
<div className="option">
<CheckBox
text="With indicator"
value={this.state.showIndicator}
onValueChanged={this.onShowIndicatorChange}
/>
</div>
<div className="option">
<CheckBox
text="With overlay"
value={this.state.shading}
onValueChanged={this.onShadingChange}
/>
</div>
<div className="option">
<CheckBox
text="With pane"
value={this.state.showPane}
onValueChanged={this.onShowPaneChange}
/>
</div>
<div className="option">
<CheckBox
text="Close on outside click"
value={this.state.closeOnOutsideClick}
onValueChanged={this.onCloseOnOutsideClickChange}
/>
</div>
</div>
</React.Fragment>
);
}
onClick() {
this.setState({
employeeInfo: {},
loadPanelVisible: true
}, () => {
setTimeout(this.hideLoadPanel, 3000);
});
}
hideLoadPanel() {
this.setState({
loadPanelVisible: false,
employeeInfo: employee
});
}
onShowIndicatorChange(e) {
this.setState({
showIndicator: e.value
});
}
onShadingChange(e) {
this.setState({
shading: e.value
});
}
onShowPaneChange(e) {
this.setState({
showPane: e.value
});
}
onCloseOnOutsideClickChange(e) {
this.setState({
closeOnOutsideClick: e.value
});
}
}
export default App;
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.js';
ReactDOM.render(
<App />,
document.getElementById('app')
);
<!DOCTYPE html>
<html>
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.5/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.5/css/dx.light.css" />
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="https://unpkg.com/core-js@2.4.1/client/shim.min.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import('./index.js');
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"></div>
</div>
</body>
</html>
h1 {
display: inline-block;
vertical-align: middle;
padding: 10px;
margin: 0;
}
#employee {
margin: 20px 0;
-webkit-touch-callout: none;
-webkit-user-select: none;
-khtml-user-select: none;
-moz-user-select: none;
-ms-user-select: none;
user-select: none;
border-top: 1px solid lightgray;
border-bottom: 1px solid lightgray;
}
#employee > p {
padding: 10px 20px;
margin: 0;
}
.address {
height: 60px;
}
.options {
padding: 20px;
background-color: rgba(191, 191, 191, 0.15);
margin-top: 20px;
}
.caption {
font-size: 18px;
font-weight: 500;
}
.option {
margin-top: 10px;
}
export const employee = {
'Full_Name': 'John Heart',
'Title': 'CEO',
'Birth_Date': '03/16/1964',
'Prefix': 'Mr.',
'Address': '351 S Hill St.',
'City': 'Los Angeles',
'Zipcode': 90013,
'Email': 'jheart@dx-email.com',
'Skype': 'jheart_DX_skype',
'Home_Phone': '(213) 555-9208',
'Mobile_Phone': '(213) 555-9392'
};
System.config({
transpiler: 'plugin-babel',
meta: {
'devextreme/localization.js': {
"esModule": true
},
},
paths: {
'npm:': 'https://unpkg.com/'
},
defaultExtension: 'js',
map: {
'react': 'npm:react@16.14.0/umd/react.development.js',
'react-dom': 'npm:react-dom@16.14.0/umd/react-dom.development.js',
'prop-types': 'npm:prop-types@15.7.2/prop-types.js',
'rrule': 'npm:rrule@2.6.6/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.25.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@20.2.5',
'devextreme-react': 'npm:devextreme-react@20.2.5',
'jszip': 'npm:jszip@3.5.0/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@0.9.8/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.0.11/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@2.0.18/dist/dx-gantt.js',
'preact': 'npm:preact@10.5.11/dist/preact.js',
'preact/hooks': 'npm:preact@10.5.11/hooks/dist/hooks.js',
// SystemJS plugins
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js'
},
packages: {
'devextreme': {
defaultExtension: 'js'
},
'devextreme-react': {
main: 'index.js'
},
'devextreme/events/utils': {
main: 'index'
},
'devextreme/events': {
main: 'index'
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js'
}
},
babelOptions: {
sourceMaps: false,
stage0: true,
react: true
}
});

<template>
<div>
<h1>John Heart</h1>
<DxButton
:on-click="showLoadPanel"
text="Load Data"
/>
<div id="employee">
<p>
Birth date: <b>{{ employeeInfo.Birth_Date }}</b>
</p>
<p class="address">
Address:<br>
<b>{{ employeeInfo.City }}</b><br>
<span>{{ employeeInfo.Zipcode }}</span>
<span>{{ employeeInfo.Address }}</span>
</p>
<p>
Phone:
<b>{{ employeeInfo.Mobile_Phone }}</b><br>
Email: <b>{{ employeeInfo.Email }}</b>
</p>
</div>
<DxLoadPanel
:position="position"
v-model:visible="loadingVisible"
:show-indicator="showIndicator"
:show-pane="showPane"
:shading="shading"
:close-on-outside-click="closeOnOutsideClick"
:on-shown="onShown"
:on-hidden="onHidden"
shading-color="rgba(0,0,0,0.4)"
/>
<div class="options">
<div class="caption">Options</div>
<div class="option">
<DxCheckBox
v-model:value="showIndicator"
text="With indicator"
/>
</div>
<div class="option">
<DxCheckBox
v-model:value="shading"
text="With overlay"
/>
</div>
<div class="option">
<DxCheckBox
v-model:value="showPane"
text="With pane"
/>
</div>
<div class="option">
<DxCheckBox
v-model:value="closeOnOutsideClick"
text="Close on outside click"
/>
</div>
</div>
</div>
</template>
<script>
import { DxButton } from 'devextreme-vue/button';
import { DxCheckBox } from 'devextreme-vue/check-box';
import { DxLoadPanel } from 'devextreme-vue/load-panel';
import { employee } from './data.js';
export default {
components: {
DxButton,
DxCheckBox,
DxLoadPanel
},
data() {
return {
employeeInfo: {},
loadingVisible: false,
position: { of: '#employee' },
showIndicator: true,
shading: true,
showPane: true,
closeOnOutsideClick: false
};
},
methods: {
showLoadPanel() {
this.employeeInfo = {};
this.loadingVisible = true;
},
onShown() {
setTimeout(() => {
this.loadingVisible = false;
}, 3000);
},
onHidden() {
this.employeeInfo = employee;
}
}
};
</script>
<style>
h1 {
display: inline-block;
vertical-align: middle;
padding: 10px;
margin: 0 0.1em 0 0;
}
#employee {
margin: 20px 0;
-webkit-touch-callout: none;
-webkit-user-select: none;
-khtml-user-select: none;
-moz-user-select: none;
-ms-user-select: none;
user-select: none;
border-top: 1px solid lightgray;
border-bottom: 1px solid lightgray;
}
#employee > p {
padding: 10px 20px;
margin: 0;
}
.address {
height: 60px;
}
.options {
padding: 20px;
background-color: rgba(191, 191, 191, 0.15);
margin-top: 20px;
}
.caption {
font-size: 18px;
font-weight: 500;
}
.option {
margin-top: 10px;
}
</style>
import { createApp } from 'vue';
import App from './App.vue';
createApp(App).mount('#app');
<!DOCTYPE html>
<html>
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.5/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.5/css/dx.light.css" />
<script src="https://unpkg.com/core-js@2.4.1/client/shim.min.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import('./index.js');
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app">
</div>
</div>
</body>
</html>
export const employee = {
Full_Name: 'John Heart',
Title: 'CEO',
Birth_Date: '03/16/1964',
Prefix: 'Mr.',
Address: '351 S Hill St.',
City: 'Los Angeles',
Zipcode: 90013,
Email: 'jheart@dx-email.com',
Skype: 'jheart_DX_skype',
Home_Phone: '(213) 555-9208',
Mobile_Phone: '(213) 555-9392'
};
System.config({
transpiler: 'plugin-babel',
meta: {
'*.vue': {
loader: 'vue-loader'
},
'devextreme/localization.js': {
"esModule": true
},
},
paths: {
'npm:': 'https://unpkg.com/'
},
map: {
'vue': 'npm:vue@3.0.0/dist/vue.esm-browser.js',
'vue-loader': 'npm:dx-systemjs-vue-browser@1.0.15/index.js',
'mitt': 'npm:mitt/dist/mitt.umd.js',
'rrule': 'npm:rrule@2.6.6/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.25.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@20.2.5',
'devextreme-vue': 'npm:devextreme-vue@20.2.5',
'jszip': 'npm:jszip@3.5.0/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@0.9.8/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.0.11/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@2.0.18/dist/dx-gantt.js',
'preact': 'npm:preact@10.5.11/dist/preact.js',
'preact/hooks': 'npm:preact@10.5.11/hooks/dist/hooks.js',
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js'
},
packages: {
'devextreme-vue': {
main: 'index.js'
},
'devextreme': {
defaultExtension: 'js'
},
'devextreme/events/utils': {
main: 'index'
},
'devextreme/events': {
main: 'index'
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js'
}
},
babelOptions: {
sourceMaps: false,
stage0: true
}
});

<h1>John Heart</h1>
<dx-button text="Load Data" (onClick)="showLoadPanel()"> </dx-button>
<div id="employee">
<p>
Birth date: <b>{{ employeeInfo.Birth_Date }}</b>
</p>
<p class="address">
Address:<br />
<b>{{ employeeInfo.City }}</b
><br />
<span>{{ employeeInfo.Zipcode }}</span>
<span>{{ employeeInfo.Address }}</span>
</p>
<p>
Phone:
<b>{{ employeeInfo.Mobile_Phone }}</b
><br />
Email: <b>{{ employeeInfo.Email }}</b>
</p>
</div>
<dx-load-panel
#loadPanel
shadingColor="rgba(0,0,0,0.4)"
[position]="{ of: '#employee' }"
[(visible)]="loadingVisible"
[showIndicator]="true"
[showPane]="true"
[shading]="true"
[hideOnOutsideClick]="false"
(onShown)="onShown()"
(onHidden)="onHidden()"
>
</dx-load-panel>
<div class="options">
<div class="caption">Options</div>
<div class="option">
<dx-check-box text="With indicator" [(value)]="loadPanel.showIndicator">
</dx-check-box>
</div>
<div class="option">
<dx-check-box text="With overlay" [(value)]="loadPanel.shading">
</dx-check-box>
</div>
<div class="option">
<dx-check-box text="With pane" [(value)]="loadPanel.showPane">
</dx-check-box>
</div>
<div class="option">
<dx-check-box
text="Hide on outside click"
[(value)]="loadPanel.hideOnOutsideClick"
>
</dx-check-box>
</div>
</div>
import { NgModule, Component, enableProdMode } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { DxButtonModule, DxLoadPanelModule, DxCheckBoxModule } from 'devextreme-angular';
import { Employee, Service } from './app.service';
if (!/localhost/.test(document.location.host)) {
enableProdMode();
}
@Component({
selector: 'demo-app',
providers: [Service],
templateUrl: 'app/app.component.html',
styleUrls: ['app/app.component.css'],
preserveWhitespaces: true,
})
export class AppComponent {
employee: Employee;
employeeInfo: any = {};
loadingVisible = false;
constructor(service: Service) {
this.employee = service.getEmployee();
}
onShown() {
setTimeout(() => {
this.loadingVisible = false;
}, 3000);
}
onHidden() {
this.employeeInfo = this.employee;
}
showLoadPanel() {
this.employeeInfo = {};
this.loadingVisible = true;
}
}
@NgModule({
imports: [
BrowserModule,
DxButtonModule,
DxLoadPanelModule,
DxCheckBoxModule,
],
declarations: [AppComponent],
bootstrap: [AppComponent],
})
export class AppModule {}
platformBrowserDynamic().bootstrapModule(AppModule);
h1 {
display: inline-block;
vertical-align: middle;
padding: 10px;
margin: 0;
}
::ng-deep #employee {
margin: 20px 0;
-webkit-touch-callout: none;
-webkit-user-select: none;
-khtml-user-select: none;
-moz-user-select: none;
-ms-user-select: none;
user-select: none;
border-top: 1px solid lightgray;
border-bottom: 1px solid lightgray;
}
::ng-deep #employee > p {
padding: 10px 20px;
margin: 0;
}
::ng-deep .address {
height: 60px;
}
::ng-deep .options {
padding: 20px;
background-color: rgba(191, 191, 191, 0.15);
margin-top: 20px;
}
::ng-deep .caption {
font-size: 18px;
font-weight: 500;
}
::ng-deep .option {
margin-top: 10px;
}
import { Injectable } from '@angular/core';
export class Employee {
Full_Name: string;
Title: string;
Birth_Date: string;
Prefix: string;
Address: string;
City: string;
Zipcode: number;
Email: string;
Skype: string;
Home_Phone: string;
Mobile_Phone: string;
}
const employee: Employee = {
Full_Name: 'John Heart',
Title: 'CEO',
Birth_Date: '03/16/1964',
Prefix: 'Mr.',
Address: '351 S Hill St.',
City: 'Los Angeles',
Zipcode: 90013,
Email: 'jheart@dx-email.com',
Skype: 'jheart_DX_skype',
Home_Phone: '(213) 555-9208',
Mobile_Phone: '(213) 555-9392',
};
@Injectable()
export class Service {
getEmployee() : Employee {
return employee;
}
}
// In real applications, you should not transpile code in the browser.
// You can see how to create your own application with Angular and DevExtreme here:
// https://js.devexpress.com/Documentation/Guide/Angular_Components/Getting_Started/Create_a_DevExtreme_Application/
window.config = {
transpiler: 'ts',
typescriptOptions: {
module: 'system',
emitDecoratorMetadata: true,
experimentalDecorators: true,
},
meta: {
'typescript': {
'exports': 'ts',
},
'devextreme/localization.js': {
'esModule': true,
},
},
paths: {
'npm:': 'https://unpkg.com/',
},
map: {
'ts': 'npm:plugin-typescript@4.2.4/lib/plugin.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'@angular/core': 'npm:@angular/core@12.2.16',
'@angular/platform-browser': 'npm:@angular/platform-browser@12.2.16',
'@angular/platform-browser-dynamic': 'npm:@angular/platform-browser-dynamic@12.2.16',
'@angular/forms': 'npm:@angular/forms@12.2.16',
'@angular/common': 'npm:@angular/common@12.2.16',
'@angular/compiler': 'npm:@angular/compiler@12.2.16',
'tslib': 'npm:tslib@2.3.1/tslib.js',
'rxjs': 'npm:rxjs@7.5.3/dist/bundles/rxjs.umd.js',
'rxjs/operators': 'npm:rxjs@7.5.3/dist/cjs/operators/index.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.28.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@22.1.3/cjs',
'devextreme/bundles/dx.all': 'npm:devextreme@22.1.3/bundles/dx.all.js',
'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@1.5.16/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.1.57',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.30',
'devextreme-angular': 'npm:devextreme-angular@22.1.3',
'@devextreme/runtime': 'npm:@devextreme/runtime@3.0.7',
'inferno': 'npm:inferno@7.4.4/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat@7.4.11/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode@7.4.11/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class@7.4.11/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras@7.4.11/dist/inferno-extras.min.js',
},
packages: {
'app': {
main: './app.component.ts',
defaultExtension: 'ts',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
'rxjs': {
defaultExtension: 'js',
},
'rxjs/operators': {
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@3.0.7/inferno/package.json',
'npm:@angular/*/package.json',
'npm:@angular/common@12.2.16/*/package.json',
'npm:rxjs@7.5.3/package.json',
'npm:rxjs@7.5.3/operators/package.json',
'npm:devextreme-angular@22.1.3/*/package.json',
'npm:devextreme-angular@22.1.3/ui/*/package.json',
'npm:devextreme-angular@22.1.3/package.json',
'npm:devexpress-diagram@2.1.57/package.json',
'npm:devexpress-gantt@4.1.30/package.json',
],
};
System.config(window.config);
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.1.3/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.1.3/css/dx.light.css" />
<script src="https://unpkg.com/core-js@2.4.1/client/shim.min.js"></script>
<script src="https://unpkg.com/zone.js@0.11.4/dist/zone.js"></script>
<script src="https://unpkg.com/reflect-metadata@0.1.3/Reflect.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script src="config.js"></script>
<script>
System.import("app").catch(console.error.bind(console));
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<demo-app>Loading...</demo-app>
</div>
</body>
</html>